Watir-webdriver is Selenium with Watir's API, I consider it the best of 
both worlds. The latest version does support Firefox 17.0.1.

-- 
Posted via http://www.ruby-forum.com/.